# Uses of Interface
org.eclipse.birt.chart.model.ModelFactory

Packages that use ModelFactory
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of ModelFactory in org.eclipse.birt.chart.model

Fields in org.eclipse.birt.chart.model declared as ModelFactory
Modifier and Type
Field
Description
`static final ModelFactory`
ModelFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.birt.chart.model that return ModelFactory
Modifier and Type
Method
Description
`ModelFactory`
ModelPackage.`getModelFactory()`
Returns the factory that creates the instances of the model.

## Uses of ModelFactory in org.eclipse.birt.chart.model.impl

Classes in org.eclipse.birt.chart.model.impl that implement ModelFactory
Modifier and Type
Class
Description
`class`
`ModelFactoryImpl`
An implementation of the model Factory .
Methods in org.eclipse.birt.chart.model.impl that return ModelFactory
Modifier and Type
Method
Description
`ModelFactory`
ModelPackageImpl.`getModelFactory()`
`static ModelFactory`
ModelFactoryImpl.`init()`
Creates the default factory implementation.